> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Part Files

> List part files.



## OpenAPI

````yaml /api/openapi.json get /v1/parts/{id}/files
openapi: 3.1.0
info:
  title: Fieldnode API
  version: v1
  contact:
    name: Support
    url: https://fieldnode.com
    email: support@fieldnode.com
servers:
  - url: https://api.lab.fieldnode.dev
    description: Lab
    variables: {}
  - url: https://api.sandbox.fieldnode.dev
    description: Sandbox
    variables: {}
  - url: https://api.fieldnode.app
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Process
  - name: Standard
  - name: Material
  - name: Org
  - name: Upload
  - name: Part
  - name: Factory
  - name: Category
  - name: Criticality
  - name: Rfq
  - name: Offer
paths:
  /v1/parts/{id}/files:
    get:
      tags:
        - Part
      summary: List Part Files
      description: List part files.
      operationId: listPartFiles
      parameters:
        - name: id
          in: path
          required: true
          description: Part id.
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/File'
                    description: List of items.
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    File:
      type: object
      required:
        - id
        - name
        - path
        - container
        - group
        - url
        - size
        - type
      properties:
        id:
          type: string
          description: File id.
        name:
          type: string
          description: File name.
        path:
          type: string
          description: Path of file.
        container:
          type: string
          description: Container of file.
        group:
          type: string
          description: Group of file.
        url:
          type: string
          description: File url.
        signedUrl:
          type: string
          description: Signed url of file.
        signedDownloadUrl:
          type: string
          description: Signed download url of file.
        size:
          type: integer
          description: Size of file in bytes.
        type:
          type: string
          description: Type of file.
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: integer
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````